%define nspr_version 4.8.6
%define nss_version 3.12.6
%define cairo_version 1.6.0
%define freetype_version 2.1.9
%define sqlite_version 3.6.14
%define libnotify_version 0.4
%define build_langpacks 1
%define moz_objdir objdir-tb
%define thunderbird_app_id \{3550f703-e582-4d05-9a08-453d09bdfdc6\} 

# The tarball is pretty inconsistent with directory structure.
# Sometimes there is a top level directory.  That goes here.
#
# IMPORTANT: If there is no top level directory, this should be 
# set to the cwd, ie: '.'
#%define tarballdir .
%define tarballdir comm-1.9.2

%define official_branding 1
%define enable_mozilla_crashreporter 0

%define version_internal  3.1
%define mozappdir         %{_libdir}/%{name}-%{version_internal}

Summary:        Mozilla Thunderbird mail/newsgroup client
Name:           thunderbird
Version:        3.1.7
Release:        1
BuildArch:	i686
URL:            http://www.mozilla.org/projects/thunderbird/
License:        MPLv1.1 or GPLv2+ or LGPLv2+
Group:          Applications/Internet
Source0:	thunderbird-%{version}.source.tar.bz2
Source1:        thunderbird-langpacks-%{version}.tar.bz2
# Config file for compilation
Source10:       thunderbird-mozconfig
# Config file for branded compilation
Source11:       thunderbird-mozconfig-branded
# Default preferences for Thunderbird
Source12:       thunderbird-ccux-default-prefs.js
# Config file for debug builds
Source13:       thunderbird-mozconfig-debuginfo
# Desktop file
Source20:       thunderbird.desktop
# TB execute script
Source21:       thunderbird.sh.in
# Script called when user click on link in message
Source30:       thunderbird-open-browser.sh
# Finds requirements provided outside of the current file set
Source100:      find-external-requires

# Fix for version issues
Patch0:         thunderbird-version.patch
# Fix for jemalloc
Patch1:         mozilla-jemalloc.patch
# Fix for installation fail when building with dynamic linked libraries
Patch2:         thunderbird-shared-error.patch
# Fixes gcc complain that nsFrame::delete is protected
Patch4:         xulrunner-1.9.2.1-build.patch
Patch6:         remove-static.patch
# Necessary for compilation with libpng 1.4
Patch7:		thunderbird-libpng14.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686
BuildRequires:  nspr-devel >= %{nspr_version}
BuildRequires:  nss-devel >= %{nss_version}
BuildRequires:  cairo-devel >= %{cairo_version}
BuildRequires:  libnotify-devel >= %{libnotify_version}
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  zip
BuildRequires:  bzip2-devel
BuildRequires:  zlib-devel
BuildRequires:  libIDL-devel
BuildRequires:  gtk2+-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  krb5-devel
BuildRequires:  pango-devel
BuildRequires:  freetype-devel >= %{freetype_version}
BuildRequires:  libXt-devel
BuildRequires:  libXrender-devel
BuildRequires:  sqlite-devel >= %{sqlite_version}
BuildRequires:  startup-notification-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  autoconf213
BuildRequires:  desktop-file-utils
BuildRequires:  curl-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  libXdamage-devel
BuildRequires:  pkg-config
Requires:       mozilla-filesystem
Requires:       nspr >= %{nspr_version}
Requires:       nss >= %{nss_version}
Requires:       sqlite >= %{sqlite_version}

BuildRequires:  curl-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  zlib-devel, gzip, zip, unzip
BuildRequires:  alsa-lib-devel
BuildRequires:  dbus-devel
BuildRequires:  libxcb-devel
BuildRequires:  xcb-util-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  libffi-devel
BuildRequires:	hunspell-devel
BuildRequires:  popt-devel

AutoProv: 0
%define _use_internal_dependency_generator 0
%define __find_requires %{SOURCE100}

%description
Mozilla Thunderbird is a standalone mail and newsgroup client.

#%package devel
#Summary: Development files for Thunderbird
#Group: Development/Libraries
#Provides: thunderbird-devel = %{version}
#
#Requires: thunderbird = %{version}-%{release}
#Requires: nspr-devel >= %{nspr_version}
#Requires: nss-devel >= %{nss_version}
#Requires: cairo-devel >= %{cairo_version}
#Requires: libjpeg-devel
#Requires: bzip2-devel
#Requires: zlib-devel
#Requires: libIDL-devel
#Requires: gtk2-devel
#Requires: gnome-vfs2-devel
#Requires: libgnome-devel
#Requires: libgnomeui-devel
#Requires: krb5-devel
#Requires: pango-devel
#Requires: freetype-devel >= %{freetype_version}
#Requires: libXt-devel
#Requires: libXrender-devel
#Requires: hunspell-devel
#Requires: sqlite-devel
#Requires: startup-notification-devel
#Requires: alsa-lib-devel
#Requires: libnotify-devel

#%description devel
#Thunderbird development files.
#
#===============================================================================

%prep
%setup -q -c
cd %{tarballdir}

sed -e 's/__RPM_VERSION_INTERNAL__/%{version_internal}/' %{P:%%PATCH0} \
    > version.patch
%{__patch} -p1 -b --suffix .version --fuzz=0 < version.patch

%patch1 -p0 -b .jemalloc
%patch2 -p1 -b .shared-error
%patch4 -p1 -b .protected
%patch6 -p1 -b .static
%patch7 -p1

%if %{official_branding}
# Required by Mozilla Corporation

%else
# Not yet approved by Mozillla Corporation

%endif

%{__rm} -f .mozconfig
%{__cp} %{SOURCE10} .mozconfig
%if %{official_branding}
%{__cat} %{SOURCE11} >> .mozconfig
%endif
%if %{enable_mozilla_crashreporter}
%{__cat} %{SOURCE13} >> .mozconfig
%endif

#===============================================================================

%build
cd %{tarballdir}

INTERNAL_GECKO=%{version_internal}
MOZ_APP_DIR=%{mozappdir}

# Build with -Os as it helps the browser; also, don't override mozilla's warning
# level; they use -Wall but disable a few warnings that show up _everywhere_
MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %{__sed} -e 's/-O2/-Os/' -e 's/-Wall//')

export RPM_OPT_FLAGS=$MOZ_OPT_FLAGS
export PREFIX='%{_prefix}'
export LIBDIR='%{_libdir}'

%define moz_make_flags %{?_smp_mflags}

export LDFLAGS="-Wl,-rpath,%{mozappdir}"
export MAKE="make %{moz_make_flags}"
make -f client.mk build

# create debuginfo for crash-stats.mozilla.com
%if %{enable_mozilla_crashreporter}
cd %{moz_objdir}
make buildsymbols
%endif

#===============================================================================

%install
%{__rm} -rf $RPM_BUILD_ROOT
cd %{tarballdir}

INTERNAL_GECKO=%{version_internal}

INTERNAL_APP_NAME=%{name}-${INTERNAL_GECKO}
MOZ_APP_DIR=%{_libdir}/${INTERNAL_APP_NAME}

cd %{moz_objdir}
DESTDIR=$RPM_BUILD_ROOT make install

# install icons
cd -
%{__mkdir_p} $RPM_BUILD_ROOT/%{mozappdir}/icons
%{__cp} other-licenses/branding/%{name}/mailicon16.png \
        $RPM_BUILD_ROOT/%{mozappdir}/icons/mailicon16.png
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
%{__cp} other-licenses/branding/%{name}/mailicon16.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/thunderbird.png
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps
%{__cp} other-licenses/branding/%{name}/mailicon22.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps/thunderbird.png
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps
%{__cp} other-licenses/branding/%{name}/mailicon24.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/thunderbird.png
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
%{__cp} other-licenses/branding/%{name}/mailicon32.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/thunderbird.png
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
%{__cp} other-licenses/branding/%{name}/mailicon48.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/thunderbird.png
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/256x256/apps
%{__cp} other-licenses/branding/%{name}/mailicon256.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/256x256/apps/thunderbird.png


desktop-file-install --vendor mozilla \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category Network \
  --add-category Email \
  %{SOURCE20}


# set up the thunderbird start script
rm -f $RPM_BUILD_ROOT/%{_bindir}/thunderbird
%{__cat} %{SOURCE21} | %{__sed} -e 's,TBIRD_VERSION,%{version_internal},g' > \
  $RPM_BUILD_ROOT%{_bindir}/thunderbird
%{__chmod} 755 $RPM_BUILD_ROOT/%{_bindir}/thunderbird

install -Dm755 %{SOURCE30} $RPM_BUILD_ROOT/%{mozappdir}/open-browser.sh
%{__sed} -i -e 's|LIBDIR|%{_libdir}|g' $RPM_BUILD_ROOT/%{mozappdir}/open-browser.sh

# set up our default preferences
%{__cat} %{SOURCE12} | %{__sed} -e 's,THUNDERBIRD_RPM_VR,%{version}-%{release},g' \
                                -e 's,COMMAND,%{mozappdir}/open-browser.sh,g' > \
        $RPM_BUILD_ROOT/ccux-default-prefs
%{__install} -D $RPM_BUILD_ROOT/ccux-default-prefs $RPM_BUILD_ROOT/%{mozappdir}/greprefs/all-ccux.js
%{__install} -D $RPM_BUILD_ROOT/ccux-default-prefs $RPM_BUILD_ROOT/%{mozappdir}/defaults/pref/all-ccux.js
%{__rm} $RPM_BUILD_ROOT/ccux-default-prefs

%{__rm} -f $RPM_BUILD_ROOT%{_bindir}/thunderbird-config

# own mozilla plugin dir (#135050)
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins

# own extension directories
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/mozilla/extensions/%{thunderbird_app_id}
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/mozilla/extensions/%{thunderbird_app_id}

# Install langpacks
%{__rm} -f %{name}.lang # Delete for --short-circuit option
touch %{name}.lang
%if %{build_langpacks}
%{__mkdir_p} $RPM_BUILD_ROOT%{mozappdir}/langpacks
%{__tar} xjf %{SOURCE1}
for langpack in `ls thunderbird-langpacks/*.xpi`; do
  language=`basename $langpack .xpi`
  extensiondir=$RPM_BUILD_ROOT%{mozappdir}/langpacks/langpack-$language@thunderbird.mozilla.org
  %{__mkdir_p} $extensiondir
  unzip $langpack -d $extensiondir
  find $extensiondir -type f | xargs chmod 644

  tmpdir=`mktemp -d %{name}.XXXXXXXX`
  langtmp=$tmpdir/%{name}/langpack-$language
  %{__mkdir_p} $langtmp
  jarfile=$extensiondir/chrome/$language.jar
  unzip $jarfile -d $langtmp

  find $langtmp -type f | xargs chmod 644
  %{__rm} -rf $jarfile
  cd $langtmp
  zip -r -D $jarfile locale
  %{__rm} -rf locale
  cd -
  %{__rm} -rf $tmpdir

  language=`echo $language | sed -e 's/-/_/g'`
  extensiondir=`echo $extensiondir | sed -e "s,^$RPM_BUILD_ROOT,,"`
  echo "%%lang($language) $extensiondir" >> %{name}.lang
done
%{__rm} -rf thunderbird-langpacks
%endif # build_langpacks

# Copy over the LICENSE
cd mozilla
install -c -m 644 LICENSE $RPM_BUILD_ROOT%{mozappdir}
cd -

# Use the system hunspell dictionaries
%{__rm} -rf $RPM_BUILD_ROOT/%{mozappdir}/dictionaries
ln -s %{_datadir}/myspell $RPM_BUILD_ROOT%{mozappdir}/dictionaries

# ghost files
%{__mkdir_p} $RPM_BUILD_ROOT%{mozappdir}/components
touch $RPM_BUILD_ROOT%{mozappdir}/components/compreg.dat
touch $RPM_BUILD_ROOT%{mozappdir}/components/xpti.dat

# Devel package - sdk
#%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/idl/thunderbird-%{version_internal}
#%{__cp} %{moz_objdir}/mozilla/dist/sdk/idl/* $RPM_BUILD_ROOT%{_datadir}/idl/thunderbird-%{version_internal}

#%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/include/thunderbird-%{version_internal}
#%{__cp} %{moz_objdir}/mozilla/dist/sdk/include/* $RPM_BUILD_ROOT%{_datadir}/include/thunderbird-%{version_internal}

#%{__cp} %{moz_objdir}/mozilla/dist/sdk/bin/* $RPM_BUILD_ROOT%{mozappdir}/


# Add debuginfo for crash-stats.mozilla.com 
%if %{enable_mozilla_crashreporter}
mkdir -p $RPM_BUILD_ROOT%{_exec_prefix}/lib/debug%{mozappdir}
cp %{moz_objdir}/mozilla/dist/thunderbird-%{version}.en-US.linux-*.crashreporter-symbols.zip $RPM_BUILD_ROOT%{_exec_prefix}/lib/debug%{mozappdir}
%endif

#===============================================================================

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#===============================================================================

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

#===============================================================================

%postun
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

#===============================================================================

%files -f %{tarballdir}/%{name}.lang
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/thunderbird
%attr(644,root,root) %{_datadir}/applications/mozilla-thunderbird.desktop
%dir %{_datadir}/mozilla/extensions/%{thunderbird_app_id}
%dir %{_libdir}/mozilla/extensions/%{thunderbird_app_id}
%dir %{mozappdir}
%doc %{mozappdir}/LICENSE
%{mozappdir}/chrome
%dir %{mozappdir}/components
%ghost %{mozappdir}/components/compreg.dat
%ghost %{mozappdir}/components/xpti.dat
%{mozappdir}/components/components.list
%{mozappdir}/components/*.so
%{mozappdir}/components/*.xpt
%attr(644,root,root) %{mozappdir}/components/*.js
%{mozappdir}/defaults
%{mozappdir}/dictionaries
%dir %{mozappdir}/extensions
%{mozappdir}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}
%dir %{mozappdir}/langpacks
%{mozappdir}/greprefs
%{mozappdir}/icons
%{mozappdir}/isp
%{mozappdir}/mozilla-xremote-client
%{mozappdir}/open-browser.sh
%{mozappdir}/res
%{mozappdir}/run-mozilla.sh
%{mozappdir}/thunderbird-bin
%{mozappdir}/thunderbird
#%{mozappdir}/updater
%{mozappdir}/*.so
%dir %{mozappdir}/modules
%{mozappdir}/modules/*.jsm
%{mozappdir}/modules/*.js
%dir %{mozappdir}/modules/gloda
%{mozappdir}/modules/gloda/*.js
%dir %{mozappdir}/modules/activity
%{mozappdir}/modules/activity/*.js
%{mozappdir}/README.txt
%{mozappdir}/platform.ini
#%{mozappdir}/updater.ini
%{mozappdir}/application.ini
%exclude %{mozappdir}/removed-files
#%{mozappdir}/update.locale
%{_datadir}/icons/hicolor/16x16/apps/thunderbird.png
%{_datadir}/icons/hicolor/22x22/apps/thunderbird.png
%{_datadir}/icons/hicolor/24x24/apps/thunderbird.png
%{_datadir}/icons/hicolor/256x256/apps/thunderbird.png
%{_datadir}/icons/hicolor/32x32/apps/thunderbird.png
%{_datadir}/icons/hicolor/48x48/apps/thunderbird.png
%if %{enable_mozilla_crashreporter}
%{mozappdir}/crashreporter
%{mozappdir}/crashreporter.ini
%{mozappdir}/Throbber-small.gif
%endif

%{mozappdir}/blocklist.xml
%{mozappdir}/libfreebl3.chk
%{mozappdir}/libnssdbm3.chk
%{mozappdir}/libsoftokn3.chk

# TODO: devel package
#%files devel 
#%defattr(-,root,root,-) 
#%{_datadir}/idl/thunderbird-%{version_internal}
#%{_datadir}/include/thunderbird-%{version_internal}
#%{mozappdir}/xpidl
#%{mozappdir}/xpt_dump
#%{mozappdir}/xpt_link

#===============================================================================

%changelog
* Fri Dec 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.1.7-1
- Version update
* Wed Oct 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.1.6-1
- Version update
* Tue Oct 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.1.5-1
- Version update
* Mon Sep 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.1.4-1
- Version update
* Thu Sep 09 2010 Christian Metzen <metzench@ccux-linux.de> 3.1.3-1
- Version update
* Fri Aug 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.1.2-1
- Version update
* Sun Aug 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.1.1-2
- rebuilt against xulrunner 1.9.2.8
* Tue Jul 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.1.1-1
- Version update
* Fri Jun 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.1-1
- Version update
* Tue Mar 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.0.3-1
- Version update
* Thu Feb 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.0.2-1
- Version update
* Thu Feb 04 2010 Christian Metzen <metzench@ccux-linux.de> 3.0.1-4
- disable indexing and check for default mail client
* Thu Feb 04 2010 Christian Metzen <metzench@ccux-linux.de> 3.0.1-3
- add updated language packs
- add missing BuildArch for ccuxbuild
- clean rebuild in chroot fixes bug #0000047
* Thu Jan 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.0.1-2
- rebuilt against sqlite 3.6.22-1
- rebuilt against xulrunner 1.9.2.1
* Fri Jan 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.0.1-1
- Version update
* Wed Dec 09 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.0-5
- final release
* Sat Dec 05 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.0-4
- rc 2
* Fri Oct 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.0-3
- Version update beta 4
- enabled calendar
- switched to jemalloc
* Fri Aug 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.0-2
- Version update beta 3
* Wed Mar 04 2009 Christian Metzen <metzench@ccux-linux.de> 3.0-1
- Version update 3.0 beta 2
* Tue Dec 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.19-1
- version update
* Sat Dec 20 2008 Christian Wasem <wasem@ccux-linux.de> 2.0.0.18-3
- cleaning up specfile (unused patches and find-external-requires)
* Sat Dec 20 2008 Christian Wasem <wasem@ccux-linux.de> 2.0.0.18-2
- rebuild against xulrunner-1.9.0.4
* Thu Nov 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.18-1
- version update
* Fri Sep 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.17-1
- version update
* Fri Jul 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.16-1
- version update
* Fri May 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.14-1
- version update
* Wed Nov 14 2007 Christian Metzen <metzench@ccux-linux.de> 2.0.0.9-1
- Version update
* Fri Jul 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.6-1
- version update
* Fri Jul 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.5-1
- version update
* Fri Jun 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.4-1
- version update
* Sun May 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.0-1
- version update
* Sat Feb 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0b2-1
- version update
* Wed Dec 20 2006 Christian Metzen <metzench@ccux-linux.de> 1.5.0.9-1
- Version update
* Fri Nov 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0.8-1
- version update
* Thu Sep 21 2006 Christian Metzen <metzench@ccux-linux.de> 1.5.0.7-1
- Version update
* Fri Jul 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0.5-1
- version update
* Sun Jun 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0.4-1
- version update
* Tue May 02 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.0.2-3
- remove all i18n packages
* Sun Apr 23 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.0.2-2
- remove thunderbird-locale_switcher requirements in subpackages
* Fri Apr 21 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.0.2-1
- Update to Version 1.5.0.2, readded language support
* Mon Apr 17 2006 Christian Wasem <wasem@ccux-linux.de> 1.5-4
- removed built-in language support
* Sun Apr 16 2006 Christian Wasem <wasem@ccux-linux.de> 1.5-3
- tweaked specfile, added language support
* Thu Mar 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5-2
- built to make use of system installed nss / nspr
- reviewed requirements
* Mon Jan 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5-1
- Version Update
* Fri Sep 30 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.7-1
- Version update
* Sun Sep 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.6-3
- Rebuild against newest gtk2+
* Fri Jul 22 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.6-2
- Fixed Bug #0000109
* Wed Jul 20 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6-1
- Version Update
* Thu Jul 14 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-1
- Version Update
* Tue Mar 29 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.2-3
- Fixed minor Bug that prevented Thunderbird to open web Links
* Wed Mar 23 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.2-2
- Removed GNOME Dependencies
* Wed Mar 23 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Version Update to 1.0.2
* Wed Feb 23 2005 Christian Metzen <metzench@ccux-linux.de> 1.0-3
- Tweaked Specfile, moved .desktop Location, removed Freetype
* Fri Dec 07 2004 Christian Metzen <metzench@ccux-linux.de> 1.0-2
- Fixed URL Behaviour
* Tue Dec 04 2004 Christian Metzen <metzench@ccux-linux.de> 1.0-1
- Version Update to 1.0

